rem ***************************************************************************
rem                          FLEXOS 286 version 1.31
rem	System Configuration:			     Date: 03/30/87
rem	--------------------			     ----
rem
rem	This configuration file sets up a PC/AT system
rem	with 2 floppy drives, 1 hardisk (2 partitions), and 1 console
rem
rem	Assumes:
rem	-------
rem 
rem	fd0:	- first floppy driver linked in
rem	hd0:	- First hard-disk driver linked in
rem	con0:	- first console device linked in
rem	pt0:	- port driver linked in
rem
rem	NOTE: Initialize the bootinit environment first with define,
rem	      to make sure that the boot procedure can continue
rem
rem ***************************************************************************
echo off
echo :       Initializing System variables
rem
define switchar = -
rem
define -s a: = fd0:
define -s b: = fd1:
define -s c: = hd0:
define -s d: = hd1:
rem
rem	Set up the default system, and boot directories according
rem	to your hardware configuration
rem
define -s system: = hd0:\bin\
define -s boot:   = hd0:
define -s drivers: = hd0:\drivers\
rem
define -s protect = ON
define -s helplvl = 2
define -s prn     = prn:
define -s version = DRI-V1.31
define -s ren     = rename
security -O=RWED -G=RE -W=RE
rem
rem	Install remaining disk devices according to the hardware
rem	configuration
echo :       Installing Disk device        -- HD0:
rem
dvrunit fd0: fd1: lnrws
if NOT exist hd0: dvrload hd0: drivers:athd.drv lnwrsm
rem *** if NOT exist hd1: dvrunit hd0: hd1: lnwrsm
rem *** if NOT exist hd2: dvrunit hd0: hd2: lnwrsm
rem
rem	Load the printer driver ONLY if it is not linked in already,
rem	if it is already linked in, in CONFIG.C, comment the dvrload
rem	line out
echo :       Installing Printer devices    -- LPT0: and SPLDRV:/PRN:
rem
if NOT exist lpt0: dvrload lpt0: drivers:printer.drv lnrws
define -s bgprn: = lpt0:
dvrload spldrv: drivers:spldrv.drv lnrws
define -s prn: = spldrv:
define -s tempdir: = hd0:\temp\
rem
rem	Load a serial driver
echo :       Installing Serial Port device -- SER:
rem
dvrunit pt0: pt1: s
rem *** system:config.286 pt1: 19200
rem
dvrload ser: drivers:sdrv.drv lnrws
dvrlink ser: pt1:
rem
dvrunit con0: con1: lnrws
rem dvrlink con1: pt1:
rem
rem	Load a mouse driver
echo :       Installing Mouse Driver device -- MOUSE:
rem
dvrload mouse: drivers:\drivers\mdrv.drv lnrws
dvrlink mouse: pt0:
dvrlink con0: mouse:
rem
rem	Set up the default process environment
echo :       Initializing Process environment....
rem
define con      = con:console
define default: = c:
define path     = default: system:
define order    = 286 bat
define wmanager = system:wmex.286
define shell    = boot:command.286
define home:    = hd0:
rem
rem	Set up misc. system definitions
rem
define editor   = dredix.286
rem
rem	More utility name defines are necessary if there are fewer builtin(s)
rem
rem	Load the First Logon process
echo :       Load Logon and terminate this SHELL....
rem
define con: = con0:
back system:logon
rem
rem	Load the Second Logon process
rem
rem *** define con: = con1:
rem *** back logon
rem
rem	End of configuration
rem
